You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by GitBox <gi...@apache.org> on 2022/07/25 20:00:00 UTC

[GitHub] [tvm] driazati commented on a diff in pull request #12178: Build and test TVM under minimal configuration

driazati commented on code in PR #12178:
URL: https://github.com/apache/tvm/pull/12178#discussion_r929248440


##########
tests/scripts/task_config_build_minimal.sh:
##########
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+BUILD_DIR=$1
+mkdir -p "$BUILD_DIR"
+cd "$BUILD_DIR"
+cp ../cmake/config.cmake .
+
+echo set\(USE_SORT ON\) >> config.cmake

Review Comment:
   We've had some issues come up before where building in debug mode surfaced errors that weren't there in release mode, this is somewhat of a different discussion but I wonder if we should also set `CMAKE_BUILD_TYPE=Debug` here to check that in CI (I guess the question is whether that should be its own test or rolled into this one)



##########
ci/jenkins/Test.groovy.j2:
##########
@@ -187,6 +187,41 @@
   )
 {% endcall %}
 
+def run_unittest_minimal() {
+  if (!skip_ci && is_docs_only_build != 1) {
+    node('CPU-SMALL') {
+      ws({{ m.per_exec_ws('tvm/ut-python-cpu-minimal') }}) {
+        timeout(time: max_time, unit: 'MINUTES') {
+          try {
+            docker_init(ci_minimal)
+            init_git()
+            withEnv(['PLATFORM=minimal'], {
+              sh(

Review Comment:
   can you also use the `m.download_artifacts` macro here?



##########
ci/jenkins/Test.groovy.j2:
##########
@@ -199,6 +234,9 @@ stage('Test') {
     {{ method_name }}()
   },
   {% endfor %}
+  'unittest: CPU MINIMAL': {

Review Comment:
   can you use the `m.test_step` macro here instead? That way we don't need to duplicate all the meta-logic (timeout, workspace, etc) just for this test



##########
tests/python/unittest/test_meta_schedule_task_scheduler.py:
##########
@@ -337,6 +337,7 @@ def test_meta_schedule_task_scheduler_override_next_task_id_only():  # pylint: d
         )
 
 
+@pytest.mark.skip("Does array access OOB")

Review Comment:
   Can you file and link an issue here with the context? Also it'd be nice if this was a `skipIf`, maybe you can use a combo of flags from libinfo https://github.com/apache/tvm/blob/main/src/support/libinfo.cc#L238?



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org